Subject: Re: [Ltru] Editor's copy of draft-4646bis updated...

From: Edith Whitehead <[email-masked]>
Date: Fri, 6 Feb 2009 09:31:08 -0800 (PST)

Hi, sorry I must write from this email address. 
(my hotmail account won't display or send mail only let me complain not sure for how long it will be that way)

I went through the entire draft albeit late and have included most of my edits (except a few which were minor and picky) below.  There were two glaring typos, then a third case with no subject antecedent (Section I) that MUST be corrected in my opinion.

The next section (II) has one item that really SHOULD be fixed because the sense is not really clear.

The next section (III) has a variety of changes I'd like to see including the correction of the 'mo' 'ro' example.

Finally, a request for clarification about should, shall, and must, in section IV.

Sorry to get these to you so late.  That is my error.

Please if you can at least look at section I and probably section II.

Thanks & best wishes.

--C. E. Whitehead
[email-masked]

I. Changes that are absolutely essential--to make this grammatical--indicated with 
'!'  before the number/location of the tex to be changed

! 4.1   par 3
 
{ ORIGINAL TEXT }
 
"   Standards, protocols, and applications that reference this document
   normatively but apply different rules to the ones given in this
   section MUST specify how language tag selection varies from the
   guidelines given here."  

{ ! CORRECTION:  CHANGE:  "different rules to the . . . " > "rules different than those . . . "
 you can say :  "rules different than,"  "rules different from,"  or "different rules than,"  
but where do you get "different rules to"?  It's not English.
(the use of prepositions is a bit quirky from language to language)
* *
 ?? Also, CHANGE: "apply" to "adhere to" or simply "follow"  (I like "adhere to" better;
"apply" might be a word you use with applications and rules but I do not use it with anything but formatting,
"formatting is applied . . ."
* *
 ? Also, CHANGE:  "the ones" to "those" (I think the the text is more cohesive with 'those'
because it refers back to 'the rules'--this is an idea that Halliday has about cohesion too) }

> "Standards, protocols, and applications that reference this document
   normatively but adhere to rules different than those given in this section . . . "
 
* * *

! 4.1 par 6 item 1 second bullet 

{ORIGINAL TEXT }
" Note that some subtag sequences might not represent the
          language a casual user might expect, especially if when
          relying on the subtag's description in the registry. "

{! CORRECTION:  delete either "if" or "when" as "if when" seems a bit redundant, right? }

> "Note that some subtag  sequences might not represent the language  a casual user might expect, especially when . . . "

* * *
! 4.3 Par 1 Bullet 1 last sentence 

{ORIGINAL TEXT}
   "o  A language priority list [RFC4647] describing a user's language
      preferences.  This is a (possibly weighted) list of potentially-
      unrelated varieties, expressing a preference, rather than as a
      declaration about actual content."

{! CORRECTION:  delete "as";  you don't say "This is . . .  as a declaration . . . " here!  The verb "is" is the verb that goes with both items (it 'is a . . .  list' not 'a declaration')--with no "as" after either item; "This is a . . .  list . . . " "rather than a declaration . . ."!}

> "This is a (possibly weighted) list of potentially unrelated varieties, expressing a preference, rather than a declaration of actual content."
 
* * *

! 5.1, par 4, sentence 2
 
{ ORIGINAL TEXT }
 
" Inserted records can be placed anywhere in the appropriate section; there is
   no guarantee of the order of the records beyond grouping them together by 'Type'."

{! COMMENT:/CORRECTION  Here there is no subject antecedent for "grouping"  so I'm left wondering WHO will group the records by type, clearly ietf, and iana but there's no antecedent!  So it's not good grammar at all to say "beyond grouping them by type" The passive voice is a possible solution here.  Dometimes the passive is the clearest form to use, for example when there is no real subject, and even sometimes simply to make it clear that the focus is on the recipient of the action. 
 
ALSO, sometimes it is better to repeat an item referred to as a pronoun rather than constantly renaming it.  Repeating it as a pronoun helps to establish cohesion [see M.A.K. Halliday, "Cohesion in English" for more on this]. Thus I replaced the second occurance of "[the] records" here, in "of the records", with the pronoun "their"  I suppose that referring to "records" as "the records"--with a definite article--in the second instance also helps to establish cohesion here but I prefer simply using the pronoun!  Not sure why . . . }
 
> "Inserted records can be placed anywhere in the appropriate section; there is no guarantee of their order beyond their being grouped together by 'Type'."

* * * END SECTION I CHANGES THAT ARE ABSOLUTELY ESSENTIAL * * *

II.  Changes that should be made but where the text is not glaringly ungrammatical;
again indicated with a '!' because I really think these are important changes

* * *
 
! 4.4.2 Par 1, last sentence 
 
{ ORIGINAL TEXT }
 
"  Such truncation MUST NOT
   permit a subtag to be chopped off in the middle or the formation of
   invalid tags (for example, one ending with the "-" character)."
 
{! COMMENT/CORRECTION:  you need grammatical parallelism since both items are juxtaposed [as parallels] semantically here]--"to be chopped off in the middle" and "invalid tags"  However in truth, "being chopped off in the middle" [that is in the middle of a subtag, or right after a hyphen] is a semantic sub-category of "invalid tags"  to juxtapose these as two different things, you need a more specific phrase than "invalid tags"  and it's this phrase that needs to be made syntactically parallel to ""to be chopped off in the middle" And since it's better to use an active verb when possible I used a gerund; I hope the subject antecedent to the gerund is clear here}
 
> "Such truncation MUST NOT permit the formation of invalid tags--either by chopping a subtag off in the middle, or by leaving a singleton without any subtag."

* * * END SECTION II CHANGES THAT SHOULD BE MADE * * *

III.  Changes I'd like to see but that are not really 'should's just 'woulds-be-nice'--
indicated with a '?' before the number/location of the text to be changed

? 3.5  "Registration Procedure for Subtags" Par 4, 2nd sentence

{ ORIGINAL TEXT }
 
" Note that each response is not limited in
   size so that the request can adequately describe the registration."

{COMMENTS: the word "response" is not clear here, and this sentence is awkward and unclear as a whole.  
CLARIFICATION?: I was not sure what fields you meant, but assumed you meant fields 4-6??
CORRECTION:  I indicated these field numbers in parentheses! I split the whole into two sentences.  (Phrases/words in brackets are optional ways to say things; brackets should be removed of course.) }
 
> "There is no restriction on the amount of information that can be provided in the fields numbered 4-6 ("Intended meaning . . . ",  "Reference . . . ", "Any other relevant information . . . ").  This permits an adequate [or 'complete'?] description of the request [ or 'record being requested'?]"

* * *

? 3.7 par 4 & 5
 { ORIGINAL TEXT }
 
"  IANA will maintain a registry of allocated single-character
   (singleton) subtags.  This registry MUST use the record-jar format
   described by the ABNF in Section 3.1.  Upon publication of an
   extension as an RFC, the maintaining authority defined in the RFC
   MUST forward this registration form to [email-masked], who MUST
   forward the request to [email-masked].  The maintaining authority of
   the extension MUST maintain the accuracy of the record by sending an
   updated full copy of the record to [email-masked] with the subject
   line "LANGUAGE TAG EXTENSION UPDATE" whenever content changes.  Only
   the 'Comments', 'Contact_Email', 'Mailing_List', and 'URL' fields MAY
   be modified in these updates.

   Failure to maintain this record, maintain the corresponding registry,
   or meet other conditions imposed by this section of this document MAY
   be appealed to the IESG [RFC2028] under the same rules as other IETF
   decisions (see [RFC2026]) and MAY result in the authority to maintain
   the extension being withdrawn or reassigned by the IESG."

{COMMENT:  the two maintaining authorities, IANA, and the individual authority, might be confused by readers here??  
 
I'd use "maintaining authority" always to refer to the second;
and IANA to refer to the first
& no pronoun,& no ellipsis; thus, in paragraph 4, CORRECT:}
 
> "Failure on the part of the maintaining authority to maintain this record  . . . "
 
* * *

? 4.1 Par 5 
 
{ ORIGINAL TEXT }
 
" A subtag SHOULD only be used when it adds useful distinguishing
   information to the tag.  Extraneous subtags interfere with the
   meaning, understanding, and processing of language tags.  In
   particular, users and implementations SHOULD follow the 'Prefix' and
   'Suppress-Script' fields in the registry (defined in Section 3.1):
   these fields provide guidance on when specific additional subtags
   SHOULD be used or avoided in a language tag."

{COMMENT/CORRECTION for Sentence 1:
 the way it's written, someone might interpret it as meaning that all subtags, including a primary language subtag, are optional, but a primary language subtag is really a good idea, a real SHOULD}
 
INSERT AT BEGINNING--replace sentence 1 with 2 sentences 

> "All language tags--except those that are exclusively private use--SHOULD include one (primary) language subtag.  Any additional subtag SHOULD only be included when it adds useful distinguishing information to the tag. "
  
* *
?? {A SECOND COMMENT/CORRECTION for Sentence 3:  word choice; change "follow" to "consult"  I would never say "follow"
for either unless I said "follow the guidelines . . ."; "consult" is the best word with "users" probably; not sure at all about implementations but I would not say "follow"}

> "In particular, both users and implementations SHOULD consult ['be guided by'--in passive voice--is the only other option here] the 'Prefix' and
   'Suppress-Script' fields in the registry (defined in Section 3.1):
   these fields provide guidance on when specific additional subtags
   SHOULD be used or avoided in a language tag."

* * *

? 4.1 par 6 item 2 example second bullet last sentence 
 
{ ORIGINAL TEXT }
 
"(The tag "uz-Zxxx"
          could also be used where content is not written, as the subtag
          'Zxxx' represents the "Code for unwritten documents".)"

{ COMMENT/CORRECTION I do not see what clarity or information the word 'code' adds to this sentence so I CORRECTED it }

> "The tag "uz-Zxxx"
          could also be used where content is not written as the script subtag 'Zxxx' is used to indicate unwritten documents" 
 
* * *

? 4.1.1 par 5, last sentence
 
{ ORIGINAL TEXT }
 
"For example, Romanian ('ro') and
   Moldavian ('mo') do not share a macrolanguage, but are far more
   closely related to each other than Cantonese ('yue') and Wu ('wuu') ,
   which do share a macrolanguage."
{! COMMENT:  the [ro] [mo] example is a bit of a problem as one of the subtags has now been deprecated; [ca] and [oc], 'Catalan' and 'Occitan'/'Provencal,' would be better examples;
alternately you might choose [gsw] 'Alsatian' or 'Schwyzerdütsch'  and [swg] 'Swabian'--but I know less about Alsatian;
There may be other possibilities; on a quick perusal of RFC 4645 I did not find khmer, for example, though I discovered there are some maybe mutually intelligible varieties any & know little about Asian languages anyway}

* * *
4.2 par 5 
 { ORIGINAL TEXT }
"   This relationship is not guaranteed in all cases: specifically,
   languages that begin with the same sequence of subtags are NOT
   guaranteed to be mutually intelligible, although they might be.  For
   example, the tag "az" shares a prefix with both "az-Latn"
   (Azerbaijani written using the Latin script) and "az-Cyrl"
   (Azerbaijani written using the Cyrillic script).  A person fluent in
   one script might not be able to read the other, even though the
   linguistic content (e.g., what would be heard if both texts were read
   aloud) might be identical.  Content tagged as "az" most probably is
   written in just one script and thus might not be intelligible to a
   reader familiar with the other script."
{COMMENT/CORRECTION  I found the language, 'this relationship is not guaranteed,' kind of vague. Also I did not like the phrase, 'written in just one script'--an example specifying one of the two scripts might help make this sentence clearer to someone skimming this.  I tried to rewrite this paragraph:  I simplified the first sentence and used more specific language (the word 'always' here, does refer the reader back to what's been said in the paragraph above about the general relationship between language tags sharing a prefix--one that we now see does not always guarantee mutual intelligibility); I also rewrote slightly the second sentence, and inserted "however" (to tie back to the previous statement) "only" into the fourth sentence.}
 
> ?? "Tags that share the same prefix are not always mutually intelligible.  For example, the prefix 'az' is shared by both  "az-Latn" (Azerbaijani written using the Latin script) and "az-Cyrl" (Azerbaijani written using the Cyrillic script). A person fluent in one script might not be able to read the other, even though the
 linguistic content (e.g., what would be heard if both texts were read
aloud) might be identical. However, content tagged as "az" most probably is written in just one of these scripts and thus might not be intelligible to a reader familiar with only the other script."
 
* * *

? 4.5 par 2  item 4 & par 4 "Example . . . "
{ ORIGINAL TEXT }

"   4.  Other subtags that have a Preferred-Value field in the IANA
       registry (see Section 3.1) MUST be replaced with their mapped
       value.  Most of these are either Region subtags where the country
       name or designation has changed or clerical corrections to ISO
       639-1.

   5.  If more than one extension subtag sequence exists, the extension
       sequences are ordered into case-insensitive ASCII order by
       singleton subtag (that is, the subtag sequence '-a-babble' comes
       before '-b-warble').

   Example: The language tag "en-a-aaa-b-ccc-bbb-x-xyz" is in canonical
   form, while "en-b-ccc-bbb-a-aaa-X-xyz" is well-formed and potentially
   valid (extensions 'a' and 'b' are not defined as of the publication
   of this document) but not in canonical form (the extensions are not
   in alphabetical order).

   Example: Although the tag "en-BU" (English as used in Burma)
   maintains its validity, the language tag "en-BU" is not canonical
   because the 'BU' subtag has a canonical mapping to 'MM' (Myanmar)."
 
{ COMMENT/CORRECTION: the first example actually goes with item 5 & the second with item 4 so it's confusing; I prefer to have the examples with the items they illustrate; thus I'd move the second of the examples so that it followed item 4-- }
 
{ Move :  "Example: Although the tag 'en-BU' . . . " 
 
to right after item 4 }
 
> "   4.  Other subtags that have a Preferred-Value field in the IANA
       registry (see Section 3.1) MUST be replaced with their mapped
       value.  Most of these are either Region subtags where the country
       name or designation has changed or clerical corrections to ISO
       639-1.

   Example: Although the tag "en-BU" (English as used in Burma)
   maintains its validity, the language tag "en-BU" is not canonical
   because the 'BU' subtag has a canonical mapping to 'MM' (Myanmar).

   5.  If more than one extension subtag sequence exists, the extension
       sequences are ordered into case-insensitive ASCII order by
       singleton subtag (that is, the subtag sequence '-a-babble' comes
       before '-b-warble').

   Example: The language tag "en-a-aaa-b-ccc-bbb-x-xyz" is in canonical
   form, while "en-b-ccc-bbb-a-aaa-X-xyz" is well-formed and potentially
   valid (extensions 'a' and 'b' are not defined as of the publication
   of this document) but not in canonical form (the extensions are not
   in alphabetical order)."

* * *  END SECTION III CHANGES I'D LIKE TO SEE * * *

IV  Requests for Clarification Only--indicated with '??'

?? 3.5 par 21

{ ORIGINAL TEXT }
   "Registrations initiated due to the provisions of Section 3.3 or
   Section 3.4 SHALL NOT be rejected altogether (since they have to
   ultimately appear in the registry) and SHOULD be completed as quickly
   as possible.  The review process allows list members to comment on
   the specific information in the form and the record it contains and
   thus help ensure that it is correct and consistent.  The Language
   Subtag Reviewer MAY reject a specific version of the form, but MUST
   propose a suitable replacement, extending the review period as
   described above, until the form is in a format worthy of reviewer's
   approval and meets with rough consensus of the list."

{! COMMENT/CLARIFICATION ?  Please explain "SHALL NOT" versus "MUST NOT"--
 
* * * END SECTION IV CLARIFICATIONS * * *
 
These are all my comments; I've read all sections.
 
--C. E. Whitehead
[email-masked]

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 6 Feb 2009 16:11:29 -0800

Hi -

Subject line changed for tracking sanity....

As a technical contributor...

> From: "Edith Whitehead" <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>
> Sent: Friday, February 06, 2009 9:31 AM
> Subject: Re: [Ltru] Editor's copy of draft-4646bis updated...
...
> but where do you get "different rules to"?  It's not English.

Nor is "different rules than".  If folks feel a need for a change,
"rules different from" would be more acceptible.

...
> "formatting is applied . . ."

Disagree.  I see no need for this change.

...
> because it refers back to 'the rules'--this is an idea that Halliday has about cohesion too) }

Disagree.  I see no need for this change.

>   normatively but adhere to rules different than those given in this section . . . "

This proposed usage of "than" is simply wrong, and I cannot support it.

...
> {! CORRECTION:  delete either "if" or "when" as "if when" seems a bit redundant, right? }

Yup.  However, the entire phrase "especially...registry" is not helpful
to the sense of the paragraph in question.  Consequently, I think
that if a change is to be made, it would be better to delete
everything from the comma to the word "registry".

...
>       declaration about actual content."
...
> "This is a (possibly weighted) list of potentially unrelated varieties,
>  expressing a preference, rather than a declaration of actual content."

Yup.  However, this sentence is entirely redundant, so if there is going
to be a change, I'd rather just delete it.

>   no guarantee of the order of the records beyond grouping them together by 'Type'."
...
> "Inserted records can be placed anywhere in the appropriate section; there
> is no guarantee of their order beyond their being grouped together by 'Type'."

Ok.  This "can" probably should be a MAY, but it's not a big deal and it's not
worth changing.

...
>    invalid tags (for example, one ending with the "-" character)."
...
> "Such truncation MUST NOT permit the formation of invalid tags--
> either by chopping a subtag off in the middle, or by leaving a singleton without any subtag."

Disagree.  The original text is gramamtically and technically correct.
The proposed text changes the meaning in a subtly  incompatible way.
Consider the case where chopping a subtag in the middle does *not*
result in an invalid tag, but instead produces a tag containing a subtag
not present in the original.

....
> is awkward and unclear as a whole.

I think the sentence is abundantly clear in context, and see no need for change.
...

> ? 3.7 par 4 & 5
...
> {COMMENT:  the two maintaining authorities, IANA, and the individual
> authority, might be confused by readers here??
...

Given the topic of the section, I find it difficult to imagine such confusion
taking place.

> "Failure on the part of the maintaining authority to maintain this record  . . . "

It's difficult to keep a straight face when reading the proposed replacement.

...
>  the way it's written, someone might interpret it as meaning that all subtags,
>  including a primary language subtag, are optional, but a primary language
> subtag is really a good idea, a real SHOULD}
>
> "All language tags--except those that are exclusively private use--
> SHOULD include one (primary) language subtag.  Any additional
> subtag SHOULD only be included when it adds useful distinguishing
> information to the tag. "

Strongly disagree.  This changes the sense of the text.
[As co-chair: it took extensive discussion to reach agreement on
this text, and I'm extremely relectuant to even consider changes to
it unless something is demonstrably broken.]

> ?? {A SECOND COMMENT/CORRECTION for Sentence 3:  word
> choice; change "follow" to "consult"  I would never say "follow"
> for either unless I said "follow the guidelines . . ."; "consult"
> is the best word with "users" probably; not sure at all about
> implementations but I would not say "follow"}

Disagree.  While I appreciate the preference for "consult", it
does not mean the same thing as "follow".

...
> { COMMENT/CORRECTION I do not see what clarity or information
> the word 'code' adds to this sentence so I CORRECTED it }

I believe it's a quote from the subtag's registry enty.

>         could also be used where content is not written as the script subtag 'Zxxx' is used to indicate unwritten documents"

I think this would be a step backwards, since it de-emphasizes the generative nature
of subtags.

...
> ORIGINAL TEXT }
> {! COMMENT:  the [ro] [mo] example is a bit of a problem as one of the
> subtags has now been deprecated; [ca] and [oc], 'Catalan' and
> 'Occitan'/'Provencal,' would be better examples;
> alternately you might choose [gsw] 'Alsatian' or 'Schwyzerdütsch'
>  and [swg] 'Swabian'--but I know less about Alsatian;
> There may be other possibilities; on a quick perusal of RFC 4645
>  I did not find khmer, for example, though I discovered there are some
>  maybe mutually intelligible varieties any & know little about Asian
> languages anyway}

Strongly disagree.  The example serves its purpose as it is,
and none of the cases cited is as dramatic and clear-cut
as that of Romanian and Moldavian.  (Which explains nicely
*why* the subtag met the fate that it did.)

[As co-chair: there already seems to be a rough consensus
to not change this section.]

> {COMMENT/CORRECTION  I found the language, 'this relationship
> is not guaranteed,' kind of vague. Also I did not like the phrase, 'written
> in just one script'--an example specifying one of the two scripts might help
> make this sentence clearer to someone skimming this.  I tried to rewrite
> this paragraph:  I simplified the first sentence and used more specific
> language (the word 'always' here, does refer the reader back to what's
> been said in the paragraph above about the general relationship between
> language tags sharing a prefix--one that we now see does not always
> guarantee mutual intelligibility); I also rewrote slightly the second sentence,
> and inserted "however" (to tie back to the previous statement)
> "only" into the fourth sentence.}
>
> ?? "Tags that share the same prefix are not always mutually intelligible.
>  For example, the prefix 'az' is shared by both  "az-Latn" (Azerbaijani
> written using the Latin script) and "az-Cyrl" (Azerbaijani written using
> the Cyrillic script). A person fluent in one script might not be able to
> read the other, even though the
> aloud) might be identical. However, content tagged as "az" most
> probably is written in just one of these scripts and thus might not
> be intelligible to a reader familiar with only the other script."

Disagree.  The change to the first sentence makes it sound like
mutual intelligibility is normally presumed when there is a shared
prefix, and that cases like this are rare exceptions.  The existing text
is clearer and more to the point.

> ? 4.5 par 2  item 4 & par 4 "Example . . . "
...
> { COMMENT/CORRECTION: the first example actually goes with item
> 5 & the second with item 4 so it's confusing; I prefer to have the examples
> with the items they illustrate; thus I'd move the second of the examples
> so that it followed item 4-- }

I'm neutral on this proposal.  I see the benefits to interspersing the
examples with the list of rules, but I also see advantages to the
current organization with the examples following the rules.
I'm not persuaded at all that this is a change that in any way
*needs* to be made.

...
> ?? 3.5 par 21
...
> {! COMMENT/CLARIFICATION ?  Please explain "SHALL NOT" versus "MUST NOT"--

This is spelled out in RFC 2119.

Randy

---

From: John Cowan <[email-masked]>
Date: Sun, 8 Feb 2009 00:33:09 -0500

> "rules different from" would be more acceptible.

In fact all of "different from", "different to" and "different than"
are acceptable in standard English.  Check Merriam-Webster's (Concise)
Dictionary of English Usage, which is AFAIK the only evidence-based
usage guide.

In my experience, "different than" is more common in North America than
elsewhere, whereas "different to" is more common outside North America
than inside.  "Different from" is popular everywhere.

> This proposed usage of "than" is simply wrong, and I cannot support it.

It's simply wrong to say it's simply wrong.

-- 
A mosquito cried out in his pain,               John Cowan
"A chemist has poisoned my brain!"              http://www.ccil.org/~cowan
        The cause of his sorrow                 [email-masked]
        Was para-dichloro-
Diphenyltrichloroethane.                                (aka DDT)

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 7 Feb 2009 21:53:14 -0800

Hi -

> From: "John Cowan" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Saturday, February 07, 2009 9:33 PM
> Subject: Re: [Ltru] Edith Whitehead's proposed editorial changes to 4646bis i-d
...
> Dictionary of English Usage, which is AFAIK the only evidence-based

Harper's English Grammar only allows "different from".
But we all know about dueling authorities on English.  :-)

> elsewhere,

Though this North American finds it cringe-inducing,
he admits to hearing it with distressing frequency.

> whereas "different to" is more common outside North America
> than inside.

I don't recall ever *hearing* it used by a native speaker -
and I'm certain I'd notice, because for me it's even
more cringe-inducing than "different than".

>  "Different from" is popular everywhere.

(And in at least some grammars, it's the only form permitted.)

As co-chair:
Consequently, if the editors find it conventient to incorporate an editorial
correction here, they should take the "different from" route.

Randy

---

From: John Cowan <[email-masked]>
Date: Sun, 8 Feb 2009 11:39:44 -0500

> But we all know about dueling authorities on English.  :-)

That's why I said "evidence-based".  To add a little more evidence from
Yahoo (Google's hit-count algorithm is known to be unreliable for large
numbers), "diffent from" gets 279 Mhits, "different than" gets 100 Mhits,
and "different to" gets 49 Mhits.  This is of course distorted by the
historical and continuing dominance of the U.S. on the Web.

-- 
Do I contradict myself?                         John Cowan
Very well then, I contradict myself.            [email-masked]
I am large, I contain multitudes.               http://www.ccil.org/~cowan
        --Walt Whitman, Leaves of Grass

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:27:17 -0800

[now follow individual emails with the editor's proposed disposition for each issue raised]

(editor hat ON)

Issue: use of phrase "different rules to the ones"

Resolution: no change. The sentence is clear and sufficiently grammatical.

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: Friday, February 06, 2009 4:11 PM
> To: [email-masked]
> Subject: [Ltru] Edith Whitehead's proposed editorial changes to
> 4646bis i-d
> 
> Hi -
> 
> > Cc: <[email-masked]>; <[email-masked]>;
> <[email-masked]>; <[email-masked]>
> > "apply" might be a word you use with applications and rules but I
> do not use it with anything but formatting,
> > {COMMENTS: the word "response" is not clear here, and this
> sentence
> > is awkward and unclear as a whole.
> 
> >         could also be used where content is not written as the
> script subtag 'Zxxx' is used to indicate unwritten documents"
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:29:07 -0800

> Disagree.  I see no need for this change.

Resolution: no change. The editors don't see a reason to modify this.

Addison Phillips

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:30:13 -0800

> Disagree.  I see no need for this change.

Resolution: no change. Purely editorial request.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:31:32 -0800

> This proposed usage of "than" is simply wrong, and I cannot support

Resolution: It's not actually wrong, depending on which grammarian one worships. Since the text is clear, no change.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:35:18 -0800

> everything from the comma to the word "registry".

Resolution: Randy's suggestion is the best way to handle this bit of text. Removed as suggested.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:45:51 -0800

Randy commented:
> 
> Yup.  However, this sentence is entirely redundant, so if there is
> going to be a change, I'd rather just delete it.
> 

Addison's comments (editor hat OFF): The section is called "lists of languages" and one might expect to find language priority lists mentioned here. However, the actual context in which it appears (as an example of more than one language tag applied to a single content item) is not appropriate.

Resolution: Removed the example from the bulleted list.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:47:50 -0800

> Ok.  This "can" probably should be a MAY, but it's not a big deal

Resolution: Not changed. The "can" can be a MAY, but is not required to be. The proposed text might be slightly better, but is entirely editorial.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:49:24 -0800

> not present in the original.

Resolution: No change for the reasons given by Randy.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:53:17 -0800

> I think the sentence is abundantly clear in context, and see no

Resolution: no change. The word "response" is not as clear as it could be, but the sense and meaning of the sentence are clear enough.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:54:53 -0800

> Given the topic of the section, I find it difficult to imagine such

Resolution: no change.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:58:21 -0800

> it unless something is demonstrably broken.]

Addison's comments (sans editor hat): The grammar and text elsewhere covers the use (and occasional non-use) of primary language subtags. I don't find this paragraph at all confusing.

Resolution: no changes.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:59:42 -0800

Resolution: no change.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 10:02:56 -0800

> I think this would be a step backwards, since it de-emphasizes the

Resolution: no change. This text is the result of several message threads earlier. As Randy notes, the title of the subtag is taken directly from the registry, as we do with other subtag examples in the document.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 10:04:06 -0800

> to not change this section.]

Resolution: no change; consensus decision by co-chair.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 10:06:49 -0800

> is clearer and more to the point.

Addison's comments (sans editor's hat): Note that this particular section has a long and distinguished history. Variations of it appear not only in prior versions of BCP 47, but also in HTTP and elsewhere.

Resolution: no change.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 10:11:39 -0800

> I'm not persuaded at all that this is a change that in any way

Resolution: no change. Interspersing the two list-external examples would require a significant edit of this section. While such an edit would probably flow better, it isn't a requirement for readability.

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 10:12:35 -0800

[this is the last on this thread]

> This is spelled out in RFC 2119.

Resolution: nothing to do here.

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 13:31:32 -0800

Hi -

I've assigned this #4

Randy

----- Original Message ----- 
> From: "Phillips, Addison" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>; <[email-masked]>
> Sent: Sunday, February 08, 2009 9:27 AM
> Subject: "different from" issue
>
> > going

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 13:34:49 -0800

Hi -

This was assigned issue #5.

Randy

> Sent: Sunday, February 08, 2009 9:29 AM
> Subject: change "apply"
>
> Issue:
>
> >
> > ...

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 13:35:46 -0800

Hi -

This was assigned issue #6.

Randy

> Sent: Sunday, February 08, 2009 9:30 AM
> Subject: change "the ones?"
>
> Issue:
> 
> > ...

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 13:36:37 -0800

Hi -

This thread is a duplicate of issue #4.

Randy

> Sent: Sunday, February 08, 2009 9:31 AM
> Subject: change "than"
>
> Issue:
> >

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:13:39 -0800

Hi -

Assigned issue number 7.

Randy
----- Original Message ----- 
> Sent: Sunday, February 08, 2009 9:35 AM
> Subject: change "if when"
>
> Issue:
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:17:36 -0800

Hi -

Assigned issue number 8.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 9:45 AM
> Subject: issue: "language priority list"
>
> Issue:
> >
> > ...
> Addison's comments (editor hat OFF): The section is called "lists of languages" and one might expect to find language priority
lists mentioned here. However, the actual context in which it appears (as an example of more than one language tag applied to a
single content item) is not appropriate.

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:26:59 -0800

Hi -

Assigned issue #9.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 9:47 AM
> Subject: issue: record ordering instructions
>
> Issue:
> >
> > > ! 5.1, par 4, sentence 2
> > >
> > > { ORIGINAL TEXT }
> > >

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:30:04 -0800

Hi -

Assigned issue #10.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 9:49 AM
> Subject: issue: truncation
>
> Issue:
> > ...

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:34:13 -0800

Hi -

Assigned issue #11.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 9:53 AM
> Subject: issue: use of word "response"
>
> Issue:
> > ....

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:37:29 -0800

Hi -

Assigned issue #12.

Randy

> Sent: Sunday, February 08, 2009 9:58 AM
> Subject: issue: primary language SHOULD
>
> >
> > ...
> > > ? 4.1 Par 5
> > >
> > > { ORIGINAL TEXT }
> > >
> Addison's comments (sans editor hat): The grammar and text elsewhere covers the use (and occasional non-use) of primary language
subtags. I don't find this paragraph at all confusing.

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:41:04 -0800

Hi -

Assigned #13.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 9:54 AM
> Subject: issue: "two authorities"
>
> Issue:
> > 
> > > ? 3.7 par 4 & 5
> > ...

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:45:06 -0800

Hi -

Assigned #14.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 9:59 AM
> Subject: issue: change "follow" to "consult"
>
> >

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:55:19 -0800

Hi -

Assigned issue #15.

Randy

> Sent: Sunday, February 08, 2009 10:02 AM
> Subject: issue: uz-Zxxx example
>
> Resolution: no change. This text is the result of several message threads earlier. As Randy notes, the title of the subtag is
taken directly from the registry, as we do with other subtag examples in the document.

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 14:58:12 -0800

Hi -

Assigned issue #16.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 10:04 AM
> Subject: issue: Romanian/Modolvan example
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 15:03:36 -0800

Assigned issue #17.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 10:06 AM
> Subject: issue: relationship guarantee
>
> >
> > > 4.2 par 5
> > >  { ORIGINAL TEXT }
> Addison's comments (sans editor's hat): Note that this particular section has a long and distinguished history. Variations of it
appear not only in prior versions of BCP 47, but also in HTTP and elsewhere.

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 15:07:00 -0800

hi -

Assigned issue #18.

Randy

> Sent: Sunday, February 08, 2009 10:11 AM
> Subject: issue: reorganize 4.5 par 2 examples
>
> Resolution: no change. Interspersing the two list-external examples would require a significant edit of this section. While such
an edit would probably flow better, it isn't a requirement for readability.

---

From: Mark Davis <[email-masked]>
Date: Tue, 10 Feb 2009 15:09:27 -0800

Question: is there more than one person requesting any of these proposals in
these issues? If not, I suggest we close them all.

Mark

On Tue, Feb 10, 2009 at 15:07, Randy Presuhn
<[email-masked]>wrote:

> > Resolution: no change. Interspersing the two list-external examples would
> require a significant edit of this section. While such

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 15:09:41 -0800

Hi -

Assigned issue number 19.

Randy

----- Original Message ----- 
> Sent: Sunday, February 08, 2009 10:12 AM
> Subject: issue: SHALL NOT vs. MUST NOT
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 15:22:00 -0800

Hi -

In section 4.1 paragraph 3 I'd still prefer replacing
"different rules to" with the more-widely acceptible
"different rules from".

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 15:26:16 -0800

Hi -

> > Resolution: Not changed. The "can" can be a MAY, but is not required to be. The proposed text might be slightly better, but is

I fear the proposed resolution, while addressing an aside in my comments,
missing the point of Edith's original comment, with which I agreed:
  "the order of the records beyond grouping them together by 'Type'." ->
  "their order beyond their being grouped together by 'Type'."

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 15:32:12 -0800

Hi -

> From: "Mark Davis" <[email-masked]>
> Sent: Tuesday, February 10, 2009 3:09 PM
> Subject: Re: [Ltru] Issue #18: reorganize 4.5 par 2 examples
>
> these issues?

Yes.  Some of the items are clearly in need of editorial fix and are
agreed.  Others (normative reference fixes) were requested by the
co-chairs in preparation for hand-off to the IESG.

> If not, I suggest we close them all.

I'd rather handle them individually, since at least some of them
I'm certain would be raised again by the IESG or IETF last call.
If we have deliberated on them individually as a WG, that at least
gives us some grounds for not making those changes later on.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 10 Feb 2009 15:33:22 -0800

(editor hat OFF)

I won't mind changing it.

Addison

Addison Phillips

> Sent: Tuesday, February 10, 2009 3:22 PM
> To: [email-masked]
> Subject: Re: [Ltru] Issue #4: "different from" issue
> 
> Hi -
>

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 10 Feb 2009 15:50:18 -0800

(editor hat ON)

I had overlooked that bit of change.

The original text is:

--
Inserted records can be placed anywhere in the appropriate section; there is no guarantee of the order of the records beyond grouping them together by 'Type'.
--

(editor hat OFF)

This switches from an explicit bit of text ("the records") to a reference to records ("their"). I don't think it's strictly necessary, as the text is pretty clear when considered in its full context (where the grouping is already explained):

--
IANA will extract the record from the form and place the inserted or modified record into the appropriate section of the language subtag registry, grouping the records by their 'Type' field. Inserted records can be placed anywhere in the appropriate section; there is no guarantee of the order of the records beyond grouping them together by 'Type'. Modified records overwrite the record they replace.
--

If we really must make such a minor edit, I would propose:

--
IANA will extract the record from the form and place the inserted or modified record into the appropriate section of the language subtag registry, grouping the records by their 'Type' field. Inserted records can be placed anywhere within the appropriate section; there is no guarantee that the registry's records are in any particular order other than their being grouped together by 'Type'. Modified records overwrite the record they replace.
--

This would make clear that it is the registry's overall records (not just the inserted records) are meant; that there is no guarantee about ordering; and that the Type groupings is what was meant by "appropriate section".

I still propose that we not make this edit, since it really isn't necessary. 

Addison Phillips

> Sent: Tuesday, February 10, 2009 3:26 PM
> To: [email-masked]
> Subject: Re: [Ltru] Issue #9: record ordering instructions
> 
> Hi -
> 
> > > > > " Inserted records can be placed anywhere in the
> appropriate
> > > > section; there is
> > > > >   no guarantee of the order of the records beyond grouping
> them
> > > > together by 'Type'."
> > > > ...
> > > > Ok.  This "can" probably should be a MAY, but it's not a big
> deal
> > > > and it's not
> > > > worth changing.
> > > >
> > >
> > > Resolution: Not changed. The "can" can be a MAY, but is not
> required to be. The proposed text might be slightly better, but is
> > entirely editorial.
>

---

From: Mark Davis <[email-masked]>
Date: Tue, 10 Feb 2009 15:51:54 -0800

makes sense, thanks

Mark

---

From: Kent Karlsson <[email-masked]>
Date: Wed, 11 Feb 2009 00:54:58 +0100

>   "their order beyond their being grouped together by 'Type'."

Well, I find the proposed replacement text to be a rather horrid formulation
(I'm not even sure it is proper English). The original is much better. If
you absolutely need to change that passage, I'd suggest "the order of the
records beyond the grouping by 'Type'.".

    /kent k

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 16:33:57 -0800

Hi -

> From: "Kent Karlsson" <[email-masked]>
> Sent: Tuesday, February 10, 2009 3:54 PM
> (I'm not even sure it is proper English).

I'm not sure what is meant by "proper" English, but at least it is
grammatically correct.

> The original is much better.

But not grammatical.  See Edith's original posting for a detailed
explanation why.

> If

That'd be ok with me.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 16:36:13 -0800

Hi -

> Sent: Tuesday, February 10, 2009 3:50 PM
> Subject: RE: [Ltru] Issue #9: record ordering instructions
...
> IANA will extract the record from the form and place the inserted or modified record into the appropriate section of the language
subtag registry, grouping the records by their 'Type' field. Inserted records can be placed anywhere within the appropriate section;
there is no guarantee that the registry's records are in any particular order other than their being grouped together by 'Type'.
Modified records overwrite the record they replace.
> --
>
> This would make clear that it is the registry's overall records (not just the inserted records) are meant; that there is no
guarantee about ordering; and that the Type groupings is what was meant by "appropriate section".
...

Addison's proposed text is also ok with me.  Although I understand the
grammatical problem with the existing text, I, too, am not fully
convinced that there is a *need* for a fix.  This is the kind of
problem that most native speakers would probably not even notice
in spoken English, and would catch in written material only upon
very careful examination.  My reason for posting was to make sure
that Edith's original comment was addressed, and not just my
side-remark.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:17:27 -0800

Hi -

There was no consensus to make a change, so we'll
go with the editor's proposal to make no change here.

I've closed this issue.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:19:32 -0800

Hi -

Seeing no comment, we'll go with the editor's proposed
resolution of "no change" for this issue.  I've marked it
"closed".

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:21:32 -0800

Hi -

Seeing no further discussion, we'll accept the editor's
proposed resolution.  I've marked this issue closed.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:23:27 -0800

Hi -

Seeing no further comment, we'll go with the editor's
proposed resolution and remove the example.  I've
marked the issue "closed".

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:25:32 -0800

Hi -

Seeing no further discussion of this issue, we'll go with the
editor's proposed resolution of no change.  I've closed the
ticket.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:27:33 -0800

Hi -

Seeing no further discussion, we'll go with the editor's
proposed resolution of "no change".  I've closed this ticket.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:29:24 -0800

Hi -

Seeing no further discussion, we'll go with the editor's
recommended resolution of "no change".  I've marked
this ticket "closed".

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:33:12 -0800

Hi -

Seeing no further discussion, we'll go with the editor's
proposed resolution of "no change".  I've closed this report.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:34:38 -0800

Hi -

Seeing no further discussion, we'll go with the editor's proposed
resolution of "no change".  I've closed this report.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:36:16 -0800

Hi -

Seeing no discussion, we'll go with the editor's proposed
resolution of "no change".  I've marked this ticket "closed".

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:38:12 -0800

Hi -

Resolution: no change.
I've closed this ticket.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:39:50 -0800

Hi -

Seeing no further discussion of this issue, I've marked it
"closed" following the editor's recommendation of "no change".

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:41:16 -0800

Hi -

I've closed this ticket.  No action needed.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 13 Feb 2009 11:30:46 -0800

Hi -

As co-chair...

Seeing no further comment, let's go with the editor's
proposed resolution of "no change" for this item.
I've marked it "closed".

Randy